### Method

# Gtk PrintSettingsforeach

#### Declaration [src]

    void
    gtk_print_settings_foreach (
      GtkPrintSettings* settings,
      GtkPrintSettingsFunc func,
      gpointer user_data
    )

#### Description [src]

Calls `func` for each key-value pair of `settings`.

#### Parameters

`func`

  Type: `GtkPrintSettingsFunc`

  The function to call.

`user_data`

  Type: `gpointer`

  User data for `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.